<template>
  <v-row justify="center">
    <v-dialog v-model="dialog" persistent width="75%">
      <v-card>
        <v-card-title class="text-h5">
          Preview
        </v-card-title>

        <v-card-text><player :current_video="current_video"/></v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="green darken-1" text @click="$emit('setPreview')">
            Close
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
</template>

<script>
export default {
  name: 'PreviewVideo',
  data () {
    return {
      dialog: false,
      current_video: {
        src: '',
        previewThumbnails: {
          src: ''
        }
      }
    }
  },
  props: {
    preview: Object
  },
  created () {
    this.dialog = this.preview.path !== ''
    this.current_video.src = this.preview.path
    this.current_video.previewThumbnails.src = this.preview.img
  }
}
</script>

<style>

</style>
